Skip to main content
File

List Files

Paginated list of files

GET
/api/v1/agentstudio/files
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/files' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "file_xxx",
      "type": "file",
      "filename": "sales_2025.csv",
      "downloadable": false,
      "mime_type": "text/csv",
      "size_bytes": 524288,
      "status": "available",
      "created_at": "2026-06-16T14:51:39+08:00"
    },
    {
      "id": "file_xxx",
      "type": "file",
      "filename": "demo.png",
      "downloadable": false,
      "mime_type": "image/png",
      "size_bytes": 102400,
      "status": "checking",
      "created_at": "2026-06-16T14:48:02+08:00"
    }
  ],
  "next_page": "xxx",
  "requestId": "xxx"
}

Authorizations

string
header
required

DashScope API Key

Query Parameters

integer
default20

每页数量,最大 100

string

首次不传,后续传上一次响应的 next_page

string

传入会话 ID,仅返回该会话沙箱内的文件

Response

200-application/json
object[]

File 对象数组

string

下一页游标,传入下次请求的 page 参数

string

本次请求的唯一标识

Overview
Managed Agent API
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview